Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2887973002: Fix an IME regression for <webview> due to missing IPC message param (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 3 days ago by EhsanK
Modified:
3 days, 10 hours ago
CC:
chromium-reviews, jam, darin-cc_chromium.org, mlamouri+watch-content_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix an IME regression for <webview> due to missing IPC message param The IPC message BrowserPluginHostMsg_ImeFinishComposingText does not have a parameter for the instance ID of BrowserPlugin and therefore, is dropped on the browser side inside BrowserPluginMessageFilter. This causes a regression in (Japanese) IME where clicking during an ongoing composition does not commit. BUG=720023 Review-Url: https://codereview.chromium.org/2887973002 Cr-Commit-Position: refs/heads/master@{#473976} Committed: https://chromium.googlesource.com/chromium/src/+/f035886ce3dc15b321f1cd7d0c64948e552e53cc

Patch Set 1 #

Total comments: 4

Patch Set 2 : Added some comments + DCHECK #

Total comments: 2

Patch Set 3 : Addressed nasko@'s comment #

Patch Set 4 : Rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -5 lines) Patch
M content/browser/browser_plugin/browser_plugin_guest.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/browser_plugin/browser_plugin_guest.cc View 1 2 3 1 chunk +4 lines, -1 line 0 comments Download
M content/common/browser_plugin/browser_plugin_messages.h View 1 2 chunks +6 lines, -2 lines 0 comments Download
M content/renderer/browser_plugin/browser_plugin.cc View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
Trybot results:  chromium_presubmit   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-simulator   ios-simulator-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (13 generated)
EhsanK
Please take a look. Thanks!
1 week, 3 days ago (2017-05-16 21:08:33 UTC) #2
EhsanK
Adding kenrb@ for the IPC review (nasko seems to be OOO?) Ken, Could you PTAL? ...
1 week, 1 day ago (2017-05-18 15:04:23 UTC) #4
wjmaclean
https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode916 content/browser/browser_plugin/browser_plugin_guest.cc:916: bool keep_selection) { Where is the new parameter getting ...
1 week, 1 day ago (2017-05-18 15:13:05 UTC) #5
EhsanK
Thanks. PTAL. https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode916 content/browser/browser_plugin/browser_plugin_guest.cc:916: bool keep_selection) { On 2017/05/18 15:13:05, wjmaclean ...
1 week, 1 day ago (2017-05-18 15:21:38 UTC) #6
wjmaclean
https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode916 content/browser/browser_plugin/browser_plugin_guest.cc:916: bool keep_selection) { On 2017/05/18 15:21:38, EhsanK wrote: > ...
1 week, 1 day ago (2017-05-18 15:37:17 UTC) #7
EhsanK
Thanks. PTAL. https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc#newcode916 content/browser/browser_plugin/browser_plugin_guest.cc:916: bool keep_selection) { On 2017/05/18 15:37:17, wjmaclean ...
1 week, 1 day ago (2017-05-18 17:44:30 UTC) #8
wjmaclean
On 2017/05/18 17:44:30, EhsanK wrote: > Thanks. PTAL. > > https://codereview.chromium.org/2887973002/diff/1/content/browser/browser_plugin/browser_plugin_guest.cc > File content/browser/browser_plugin/browser_plugin_guest.cc (right): ...
1 week, 1 day ago (2017-05-18 17:46:03 UTC) #9
nasko (out until 6-1)
LGTM with a nit. https://codereview.chromium.org/2887973002/diff/20001/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/20001/content/browser/browser_plugin/browser_plugin_guest.cc#newcode915 content/browser/browser_plugin/browser_plugin_guest.cc:915: void BrowserPluginGuest::OnImeFinishComposingText(int instance_id, nit: I ...
1 week ago (2017-05-19 19:44:51 UTC) #10
EhsanK
Thanks! CQ-ing soon. https://codereview.chromium.org/2887973002/diff/20001/content/browser/browser_plugin/browser_plugin_guest.cc File content/browser/browser_plugin/browser_plugin_guest.cc (right): https://codereview.chromium.org/2887973002/diff/20001/content/browser/browser_plugin/browser_plugin_guest.cc#newcode915 content/browser/browser_plugin/browser_plugin_guest.cc:915: void BrowserPluginGuest::OnImeFinishComposingText(int instance_id, On 2017/05/19 19:44:51, ...
4 days, 13 hours ago (2017-05-22 14:28:01 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2887973002/40001
4 days, 13 hours ago (2017-05-22 14:28:25 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2887973002/60001
4 days, 13 hours ago (2017-05-22 14:32:45 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/461246)
4 days, 12 hours ago (2017-05-22 15:58:17 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2887973002/60001
3 days, 11 hours ago (2017-05-23 17:09:33 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2887973002/60001
3 days, 10 hours ago (2017-05-23 17:33:51 UTC) #25
commit-bot: I haz the power
3 days, 10 hours ago (2017-05-23 18:10:30 UTC) #28
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/f035886ce3dc15b321f1cd7d0c64...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06